Bug 10026 - OPAC cart not showing location anymore
Summary: OPAC cart not showing location anymore
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-10 17:11 UTC by Nicole C. Engard
Modified: 2014-05-26 21:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10026 - OPAC cart not showing location anymore (1.76 KB, patch)
2013-04-10 18:35 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 10026 - OPAC cart not showing location anymore (1.78 KB, patch)
2013-04-10 23:40 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 10026 - OPAC cart not showing location anymore (1.78 KB, patch)
2013-04-23 09:36 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2013-04-10 17:11:52 UTC
In 3.8 Koha's cart used to show the shelving location, but in 3.10 that has been replaced with branch.  Branch should have been added to the cart alongside the location and shouldn't have replaced the location.
Comment 1 Owen Leonard 2013-04-10 18:11:33 UTC
Caused I think by the patch for Bug 7570.
Comment 2 Owen Leonard 2013-04-10 18:35:00 UTC Comment hidden (obsolete)
Comment 3 Chris Cormack 2013-04-10 23:40:38 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2013-04-23 09:36:26 UTC
QA comment:
Small patch, works as expected.
Reintroduce the shelving location information on the opac basket page.
Marked as Passed QA.
Comment 5 Jonathan Druart 2013-04-23 09:36:36 UTC
Created attachment 17608 [details] [review]
Bug 10026 - OPAC cart not showing location anymore

When Bug 7570 added availability information to the cart it switched
which subroutine was used to get item information, and thus changed how
the information was being returned.

This patch makes accommodations for this change by adding processing of
item location information to the script in a way that will match the
existing template variables.

To test, add items to the cart in the OPAC some of which include
shelving location information. When you view the cart you should see the
shelving location displayed.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 6 Jared Camins-Esakov 2013-04-23 12:44:27 UTC
This patch has been pushed to master and 3.12.x.
Comment 7 Chris Cormack 2013-04-27 21:36:51 UTC
Pushed to 3.10.x will be in 3.10.6